ONVIF::Device::Types::RecordingJobStateInformation(3pm)

NAME
ONVIF::Device::Types::RecordingJobStateInformation

DESCRIPTION
Perl data type class for the XML Schema defined complexType RecordingJobStateInformation from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RecordingToken

•   State

•   Sources

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::RecordingJobStateInformation
   RecordingToken => $some_value, # RecordingReference
   State => $some_value, # RecordingJobState
   Sources =>  { # ONVIF::Device::Types::RecordingJobStateSource
     SourceToken =>  { # ONVIF::Device::Types::SourceReference
       Token => $some_value, # ReferenceToken
     },
     State => $some_value, # RecordingJobState
     Tracks =>  { # ONVIF::Device::Types::RecordingJobStateTracks
       Track =>  { # ONVIF::Device::Types::RecordingJobStateTrack
         SourceTag =>  $some_value, # string
         Destination => $some_value, # TrackReference
         Error =>  $some_value, # string
         State => $some_value, # RecordingJobState
       },
     },
   },
   Extension =>  { # ONVIF::Device::Types::RecordingJobStateInformationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL